/* This file is part of Mailfromd.
   Copyright (C) 2008 Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>. */

extern mu_cfg_locus_t meta1_locus;
extern size_t meta1_error_count;
extern mu_cfg_node_t *meta1_parse_head;
extern mu_cfg_tree_t *meta1_parse_tree;
extern char *meta1_queue_dir;

char *meta1_string (const char *str, size_t len);
void meta1_line_add (const char *text, size_t len);
void meta1_line_add_unescape_last (const char *text, size_t len);
void meta1_line_add_unescape_hex (const char *text, size_t len);
void meta1_line_begin (void);
char *meta1_line_finish ();
void meta1_parse_error (const char *fmt, ...);
int meta1_config_parse (const char *name);

